Bug 113590 - Customization dialog: Give "Insert Special Characters" widget and button similar names
Summary: Customization dialog: Give "Insert Special Characters" widget and button simi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-11-02 08:59 UTC by Thomas Lendo
Modified: 2017-12-19 09:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-11-02 08:59:29 UTC
Now, the new "Insert Special Characters" widget and the old button to open the full dialog directly have different names:
* "Symbol" for the old button
* "Charmap" for the new widget
That makes it difficult to find both if someone wants to exchange it.

Please give both similar names which makes it easy to find it.

(I've only found both because in Writer master document toolbar the old button and in Writer toolbar the new button is included.)

Version: 6.0.0.0.alpha1+ (x64)
Build ID: 13c5dd1d98a480cb01ca8f24242c80e326e4ade8
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-10-31_01:03:30
Comment 1 Heiko Tietze 2017-12-12 11:44:20 UTC
Request from l10n team was to label things differently. And you get a short info for commands in the new customization dialog. So I think it's a WFM. On the other hand, 'Insert special characters' and 'Show special characters' could also work.
What do you think, Sophie?
Comment 2 sophie 2017-12-12 13:45:46 UTC
I still have it named Symbol in my version:

Version: 6.0.0.0.beta1
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group threaded

I can't find Charmap in the UI - Sophie
Comment 3 Heiko Tietze 2017-12-12 14:02:27 UTC
(In reply to sophie from comment #2)
> I still have it named Symbol in my version:

Question was if we change the terminology or keep it as it is.
Comment 4 Yousuf Philips (jay) (retired) 2017-12-13 20:05:31 UTC
Patch - https://gerrit.libreoffice.org/46422
Comment 5 Thomas Lendo 2017-12-13 21:50:44 UTC
Thanks, Jay. New naming sounds OK.
Comment 6 Commit Notification 2017-12-18 19:19:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de344874203caf5a528ff3e74508451de4341142

tdf#113590 Unify labels between both special character controls

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-19 09:23:01 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9980a70af4fc2a5954f7ce2239c592304d3ebac4&h=libreoffice-6-0

tdf#113590 Unify labels between both special character controls

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.